package	com.sw.mes.yb.ipc.service.impl;



import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.yb.ipc.dao.BucketUseInfoDao;
import com.sw.mes.yb.ipc.entity.BucketUseInfo;
import com.sw.mes.yb.ipc.service.BucketUseInfoService;


/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Service
@Transactional
public class BucketUseInfoServiceImpl extends BaseServiceImpl<BucketUseInfo> implements BucketUseInfoService {
    BucketUseInfoDao dao;
	@Autowired
    public void setDao(BucketUseInfoDao dao) {
        super.setBaseDao(dao);
        this.dao=dao;
    }
	@Override
	public BucketUseInfo getBySeries(String series) {
		List<BucketUseInfo> bucketUseInfos = dao.findBySeries(series);
		if(bucketUseInfos.size()>0) {
			return bucketUseInfos.get(0);
		}
		return null;
	}
}
